files conflicting with python-twisted-core

Bug #349837 reported by phaidros on 2009-03-27
132
This bug affects 16 people
Affects Status Importance Assigned to Milestone
twisted-calendarserver (Debian)
Fix Released
Unknown
twisted-calendarserver (Ubuntu)
High
Unassigned
Nominated for Jaunty by vtec
Nominated for Karmic by vtec

Bug Description

On Jaunty Jackalope:

dpkg: error processing /var/cache/apt/archives/python-twisted-core_8.2.0-1ubuntu1_all.deb (--unpack):
 trying to overwrite `/usr/share/pyshared/twisted/plugins/__init__.py', which is also in package python-twisted-calendarserver

or vise versa.

harrydb (harrydeboer) wrote :

I can confirm this one

Unpacking python-twisted-calendarserver (from .../python-twisted-calendarserver_0.2.0.svn19773-5ubuntu1_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/python-twisted-calendarserver_0.2.0.svn19773-5ubuntu1_amd64.deb (--unpack):
 trying to overwrite `/usr/share/pyshared/twisted/plugins/__init__.py', which is also in package python-twisted-core
dpkg-deb: subprocess paste killed by signal (Broken pipe)

Changed in twisted-calendarserver:
status: New → Confirmed
Michael Vogt (mvo) on 2009-03-31
summary: - conflicting python-twisted-core
+ files conflicting with python-twisted-core
Changed in twisted-calendarserver (Ubuntu):
importance: Undecided → High

Este bug está aun Jaunty RC

E: /var/cache/apt/archives/python-twisted-calendarserver_0.2.0.svn19773-5ubuntu1_i386.deb: intentando sobreescribir `/usr/share/pyshared/twisted/plugins/__init__.py', que está también en el paquete python-twisted-core

jiragh (jensiragh) wrote :

I can also confirm this one. Running jaunty server i386 here:

foo@bar:~$ sudo apt-get install calendarserver
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut
Lese Status-Informationen ein... Fertig
Die folgenden zusätzlichen Pakete werden installiert:
  python-dateutil python-kerberos python-openssl python-pam
  python-pkg-resources python-pysqlite2 python-serial python-twisted-bin
  python-twisted-calendarserver python-twisted-core python-vobject
  python-xattr python-xml python-zopeinterface
(...)
Die folgenden NEUEN Pakete werden installiert:
  calendarserver python-dateutil python-kerberos python-openssl python-pam
  python-pkg-resources python-pysqlite2 python-serial python-twisted-bin
  python-twisted-calendarserver python-twisted-core python-vobject
  python-xattr python-xml python-zopeinterface
0 aktualisiert, 15 neu installiert, 0 zu entfernen und 0 nicht aktualisiert.
Es müssen noch 0B von 2797kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 18,0MB Plattenplatz zusätzlich benutzt.
Möchten Sie fortfahren [J/n]?
(...)
Wähle vormals abgewähltes Paket python-twisted-core.
Entpacke python-twisted-core (aus .../python-twisted-core_8.2.0-2_all.deb) ...
Entpacke python-twisted-calendarserver (aus .../python-twisted-calendarserver_0.2.0.svn19773-5ubuntu1_i386.deb) ...
dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/python-twisted-calendarserver_0.2.0.svn19773-5ubuntu1_i386.deb (--unpack):
 Versuche, »/usr/share/pyshared/twisted/plugins/__init__.py« zu überschreiben, welches auch in Paket python-twisted-core ist
dpkg-deb: Unterprozess paste mit Signal (Broken pipe) getötet
(...)
Fehler traten auf beim Bearbeiten von:
 /var/cache/apt/archives/python-twisted-calendarserver_0.2.0.svn19773-5ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Changed in twisted-calendarserver (Debian):
status: Unknown → New
produnis (schlarmann-uni-wh) wrote :

same with me, running a fresh jaunty-desktop:

Entpacke python-twisted-calendarserver (aus .../python-twisted-calendarserver_0.2.0.svn19773-5ubuntu1_i386.deb) ...
dpkg: Fehler beim Bearbeiten von /var/cache/apt/archives/python-twisted-calendarserver_0.2.0.svn19773-5ubuntu1_i386.deb (--unpack):
 Versuche, »/usr/share/pyshared/twisted/plugins/__init__.py« zu überschreiben, welches auch in Paket python-twisted-core ist
dpkg-deb: Unterprozess paste mit Signal (Broken pipe) getötet

Seems to be a problem on 8.10 server as well. Get the same error message as above. Any possible work arounds?

codemonk (codemonk) wrote :

132 Days since the bug was reported and still no fix?

john mall (mantikor) wrote :

bump

indigo (indigo) wrote :

aptitude safe-upgrade
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Resolving dependencies...
The following NEW packages will be installed:
  python-twisted-calendarserver{a}
The following partially installed packages will be configured:
  calendarserver
0 packages upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/242kB of archives. After unpacking 1556kB will be used.
Do you want to continue? [Y/n/?] y
Writing extended state information... Done
(Reading database ... 43095 files and directories currently installed.)
Unpacking python-twisted-calendarserver (from .../python-twisted-calendarserver_0.2.0.svn19773-5ubuntu1_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/python-twisted-calendarserver_0.2.0.svn19773-5ubuntu1_i386.deb (--unpack):
 trying to overwrite `/usr/share/pyshared/twisted/plugins/__init__.py', which is also in package python-twisted-core
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Errors were encountered while processing:
 /var/cache/apt/archives/python-twisted-calendarserver_0.2.0.svn19773-5ubuntu1_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
dpkg: dependency problems prevent configuration of calendarserver:
 calendarserver depends on python-twisted-calendarserver (>= 0.2.0.svn19773-3); however:
  Package python-twisted-calendarserver is not installed.
dpkg: error processing calendarserver (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 calendarserver
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Writing extended state information... Done

Same issue during installation of calendarserver with

  apt-get install calendarserver

Jean BRUDER (jean-bruder) wrote :

Just installed a fresh french 9.04 server on a i386 virtual computer, and, when installing the "python-twisted-calendarserver" i get the same error related to "__init__.py".

I need to test the "calendarserver" package ASAP as I'm working on a full Windows replacement : if something cannot be replaced, the client will not change the installed software ...

Please help, many thanks in advance :-)

Pim Zandbergen (p-zandbergen) wrote :

A new upstream version was released three weeks ago
http://trac.calendarserver.org/browser/CalendarServer/tags/release

It has this ticket resolved
http://trac.calendarserver.org/ticket/325

So, would an update simply fix our problem?

Pim

Pim Zandbergen (p-zandbergen) wrote :

Here is a link to Debian bug #522063 "New upstream release 2.2"
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=522063

The maintainers have already been notified about version 2.3
http://lists.alioth.debian.org/pipermail/calendarserver-maintainers/2009-August/000209.html

Perhaps someone should add a comment to the bug itself

Pim

codemonk (codemonk) wrote :

176 Days and still no fix. Is the maintainer still alive.

codemonk (codemonk) wrote :

and another month (and 6 days) later...

Liam O'Reilly (aliam13-2) wrote :

bump

Ritz (jonas-ritz) wrote :

Has this package ever worked?
tryed 8.10, 9.04 and 9.10 but uninstallable..

Ritz (jonas-ritz) wrote :

Maybe the bug could be solved by packing the new calendarserver. See below:

Message #44 received at <email address hidden> (full text, mbox):

From: Sander Marechal <email address hidden>
To: <email address hidden>
Subject: Progress??
Date: Wed, 18 Nov 2009 10:39:16 +0100

Any progress on this? I'd love to see 2.3 packaged because it solves bug
#529210
. The new CalendarServer doesn't need a specially patched Twisted
anymore.

Kind regards,

--
Sander Marechal

Ritz (jonas-ritz) wrote :

Calendarserver 1.x uses dav-acl-1608-4 branch of Twisted
Calendarserver 2.x uses the dav-take-two-3081-3 branch of Twisted

See ticket 325 on calendarserver.org

Zooko Wilcox-O'Hearn (zooko) wrote :

This seems to be related to #410098 -- twisted installs a directory named "plugins" but it isn't a Python package, it is just a directory. Some other tools seem to create an __init__.py file and put it into this directory sometimes, and that seems to cause a problem. Or maybe I got it all backwards. Anyway, something is messed up with regard to files named "twisted/plugins/__init__.py" in Debian and Ubuntu.

Glyph Lefkowitz (glyph) wrote :

Why is this bug marked as a duplicate of #410098? It's not. The bug here is that the CalendarServer ubuntu package is broken and won't install. That other bug has to do with the Nevow package being broken in a completely different way, and they are related to different underlying problems. CalendarServer requires its own version of Twisted (one which includes twisted.web2.dav, which is not currently on trunk), which is why it doesn't work, but Nevow's debian package is just interacting with the system version of Twisted improperly.

Zooko: Twisted's "plugins" directory is indeed a Python package. Why do you say it isn't? It's a python package which contains modules from several different uh, "things" (what python would call "distributions" and ubuntu would call "packages").

Zooko Wilcox-O'Hearn (zooko) wrote :

"Why is this bug marked as a duplicate of #410098? It's not."

My mistake.

"Zooko: Twisted's "plugins" directory is indeed a Python package. Why do you say it isn't?"

My other mistake. Sorry about that! Let this be a lesson to you, kids, not to do issue ticket gardening while feverish.

john mall (mantikor) wrote :

workaround that did it for me:

# 1.
downgrade to intrepid

#2.
install calendarsever

#3.
upgrade to current release, karmic in my case

it might be dirty but hey? No offense,but this seems to take a little longer.
python-xml seems to be the culprit. Is it true that this packages was updated
in 2004-11-29 the last time?
http://sourceforge.net/projects/pyxml/files/

regards
john

Micah Gersten (micahg) wrote :

twisted-calendarserver (8.2.0.svn27622-2) unstable; urgency=low

  * Copied /usr/share/doc/quilt/README.source
  * Modified debian/patches/series to remove non-standard options
  * Updated standards version to 3.9.1
  * Removed Uploaders field in debian/control

twisted-calendarserver (8.2.0.svn27622-1) experimental; urgency=low

  * New upstream release:
    svn export svn://svn.twistedmatrix.com/svn/Twisted/branches/dav-take-two-3081-4@27622 twisted-calendarserver-8.2.0.svn27622
  * twisted calendar is installed into a separate directory along with other
    dependent twisted packages so that it does not conflict with the existing
    twisted packages
  * Modified debian/rules to work with recent versions of cdbs
 -- Micah Gersten <<email address hidden> (micahg: 30921) [ubuntu-bugcontrol] [bugsquad] [ubuntu-dev] [ubuntumembers] > Tue, 17 Aug 2010 19:15:04 +0530

Changed in twisted-calendarserver (Ubuntu):
status: Confirmed → Fix Released
Changed in twisted-calendarserver (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.